summaryrefslogtreecommitdiff
path: root/libtomcrypt/check_source.sh
diff options
context:
space:
mode:
authorMatt Johnston <matt@ucc.asn.au>2018-02-09 21:44:05 +0800
committerMatt Johnston <matt@ucc.asn.au>2018-02-09 21:44:05 +0800
commit4f2eb1914bdac3ed3ee504ad86061281dbe0d074 (patch)
tree078293375c3f3ee2d485cf9559a08d65d460786a /libtomcrypt/check_source.sh
parentd72f50ff3284e15124a0f233c26339229fe305ac (diff)
downloaddropbear-4f2eb1914bdac3ed3ee504ad86061281dbe0d074.tar.gz
Update to libtomcrypt 1.18.1, merged with Dropbear changes
Diffstat (limited to 'libtomcrypt/check_source.sh')
-rwxr-xr-xlibtomcrypt/check_source.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/libtomcrypt/check_source.sh b/libtomcrypt/check_source.sh
new file mode 100755
index 0000000..731377b
--- /dev/null
+++ b/libtomcrypt/check_source.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# output version
+bash printinfo.sh
+
+make clean > /dev/null
+
+echo "checking..."
+./helper.pl --check-source --check-makefiles --check-defines|| exit 1
+
+exit 0
+
+# ref: $Format:%D$
+# git commit: $Format:%H$
+# commit time: $Format:%ai$